pgpool-II 4.6.3 Documentation
Prev | Up |  | Next

# pgpool_adm_pcp_node_count

## Name

pgpool_adm_pcp_node_count -- a function to retrieves number of backend nodes.

## Synopsis

``pcp_node_count returns integer`(text `host`, integer `port`, text `username`, text `password`);`

``pcp_node_count returns integer`(text `pcp_server`);`

## Description

`pcp_node_count` retrieves number of DB nodes.

## Arguments

`pcp_server`

  The foreign server name for pcp server.

`Other arguments`

  See pcp_common_options.

## Example

Here is an example output:

        test=# SELECT * FROM pcp_node_count(host => 'localhost', port => 11001, username => 't-ishii', password => 't-ishii');
        node_count
        ------------
        2
        (1 row)

Prev | Home | Next
pgpool_adm_pcp_pool_status | Up | pgpool_adm_pcp_attach_node